#include "studenti.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define N 1000

int main() {
	/* preparo le variabili */
	DatiCorso corsi[N];
	DatiIndirizzo indirizzi[N];
	DatiStudente T[N];
	int i, j, n, C, nC;
	FILE* file;
	
	/* LETTURA DEI DATI SUI CORSI DI LAUREA */
	/* apro il file con i dati sui corsi di laurea */
	if ((file = fopen("dati.txt", "r")) == NULL)
		exit(1);
	
	/* leggo i dati sui corsi di laurea */
	n = leggiCorsi(file, corsi);

	/* chiudo il file */
	fclose(file);
	
	/* LETTURA DEI DATI SUGLI INDIRIZZI */
	/* apro il file */
	if ((file = fopen("indirizzi.txt", "r")) == NULL)
		exit(1);
	/* leggo i dati */
	n = leggiIndirizzi(file, indirizzi);
	/* chiudo il file */
	fclose(file);
	
	/* UNIONE DEI DATI (indirizzi e corsi di laurea) */
	for (i = 0; i < n; i++) {
		/* come riferimento uso l'array degli indirizzi */
		T[i].matricola = indirizzi[i].matricola;
		strcpy(T[i].nome, indirizzi[i].nome);
		strcpy(T[i].cognome, indirizzi[i].cognome);
		strcpy(T[i].citta, indirizzi[i].citta);
		/* cerco una corrispondenza nell'altro array */
		for (j = 0; j < n; j++) {
			/* quando la trovo, leggo il valore del corso di laurea */
			if (T[i].matricola == corsi[j].matricola) {
				T[i].cdl = corsi[j].cdl;
			}
		}
	}
	
	/* RICHIESTA DI DATI ALL'UTENTE */
	printf("Inserire il codice di un corso di laurea: ");
	scanf("%d", &C);
	
	/* STAMPA DELLA PERCENTUALE DI ISCRITTI AL CORSO */
	/* conto il numero di iscritti al corso */
	nC = 0;
	for (i = 0; i < n; i++)
		if (T[i].cdl == C) nC++;
	/* stampo la percentuale di iscritti al corso */
	printf("Gli iscritti al corso %d sono il %f%%\n", C, 100 * (float) nC / n);
	
	/* SCRIVO SU FILE NOME, COGNOME E MATRICOLA DEI RESIDENTI A BOLOGNA */
	/* apro il file con i dati sui corsi di laurea */
	if ((file = fopen("bologna.txt", "w")) == NULL)
		exit(1);
	
	/* scrivo su file i dati dei residenti a Bologna */
	for (i = 0; i < n; i++)
		if (strcmp(T[i].citta, "Bologna") == 0)
			fprintf(file, "%s %s %d\n",
					T[i].nome, T[i].cognome, T[i].matricola);

	/* chiudo il file */
	fclose(file);	
}